#include <stdio.h>
int main()
{
	int t, i, n, v, l, j, pos, zad;
	float time;
	freopen("transport.in", "r", stdin);
	scanf("%d", &t);
	for (i = 0; i < t; i++)
	{
		scanf("%d%d%d", &n, &v, &l);
		time = (float)60*l/v;
		for(j=0; j<n; j++)
		{
			scanf("%d%d", &pos, &zad);
			time += zad;
		}
		printf("%.2f\n", time);
	}
}